mapserv(1)

NAME
mapserv - mapserver CGI interface

SYNOPSIS
\FCmapserv\F[]
[\FC-v\F[] | [\FC-nh\F[]] QUERY_STRING=" QUERY_STRING" ]

DESCRIPTION
mapserv provides commandline access to the MapServer CGI interface.

OPTIONS

\FC-v\F[]
    Display mapserver version and build options.

\FC-nh\F[]
    Suppress HTTP headers.

\FCQUERY_STRING\F[]="QUERY_STRING"
    CGI QUERY_STRING parameter, e.g. QUERY_STRING="MAP=/home/user/wfs.map&SERVICE=WFS&REQUEST=GetCapabilities"

EXAMPLE
The CGI interface can be tested at the commandline by using the "QUERY_STRING" switch, such as:

\FC
       mapserv "QUERY_STRING=map=/home/user/wms.map&mode=map"
      \F[]

To suppress the HTTP headers, you can use the "\FC-nh\F[]" switch, such as:

\FC
       mapserv -nh "QUERY_STRING=map=/home/user/wms.map&mode=map"
      \F[]

To save the output into an image file, use the pipe command such as:

\FC
       mapserv -nh "QUERY_STRING=map=/home/user/wms.map&mode=map" > test.png
      \F[]

SEE ALSO